Subject: RE: problem linking class String
From: [email-masked] (Sergey Okhapkin)

28 Apr 1997 00:36:30 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: Carl Nicol <[email-masked]>, "'James Paul Morgan'" <[email-masked]>
Original-Cc: "[email-masked]" <[email-masked]>
Encoding: 29 TEXT
Original-Sender: [email-masked]

James Paul Morgan wrote:
> On Fri, 25 Apr 1997, Carl Nicol wrote:
>
> > I'm trying to build a program with class String from
> > "String.h",
> > and although the compiler finds the include file, it does not seem to 
be
> > able to link in the class members, giving the following messages:
> >
> > C:\PROJECTS\why>g++ -o test test.cc
> > C:\TEMP/cc0010011.o(.text+0x1d6):test.cc: undefined reference to
> > `String::String(char const *)'
> > [SNIP]
> >
>
> g++ test.cc -o test -lg++
>
> I had the same problem till I started linking agains the g++ library.
>

Well known bug... Case insensitivity problem. Compiler includes 
include/string.h instead of include/g++/String.h. Try to compile with 
-Ipath/include/g++ option.

--
Sergey Okhapkin
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".